Update a DNS zone
curl --request PATCH \
--url https://api.quiva.ai/gateway/dns-zone/{zone_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"soa": {
"domain": "<string>",
"primary": "<string>",
"email": "<string>",
"serial": 123,
"refresh": 123,
"retry": 123,
"expire": 123
},
"version": 123
}
'import requests
url = "https://api.quiva.ai/gateway/dns-zone/{zone_id}"
payload = {
"soa": {
"domain": "<string>",
"primary": "<string>",
"email": "<string>",
"serial": 123,
"refresh": 123,
"retry": 123,
"expire": 123
},
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
soa: {
domain: '<string>',
primary: '<string>',
email: '<string>',
serial: 123,
refresh: 123,
retry: 123,
expire: 123
},
version: 123
})
};
fetch('https://api.quiva.ai/gateway/dns-zone/{zone_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/gateway/dns-zone/{zone_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'soa' => [
'domain' => '<string>',
'primary' => '<string>',
'email' => '<string>',
'serial' => 123,
'refresh' => 123,
'retry' => 123,
'expire' => 123
],
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/gateway/dns-zone/{zone_id}"
payload := strings.NewReader("{\n \"soa\": {\n \"domain\": \"<string>\",\n \"primary\": \"<string>\",\n \"email\": \"<string>\",\n \"serial\": 123,\n \"refresh\": 123,\n \"retry\": 123,\n \"expire\": 123\n },\n \"version\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/gateway/dns-zone/{zone_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"soa\": {\n \"domain\": \"<string>\",\n \"primary\": \"<string>\",\n \"email\": \"<string>\",\n \"serial\": 123,\n \"refresh\": 123,\n \"retry\": 123,\n \"expire\": 123\n },\n \"version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/gateway/dns-zone/{zone_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"soa\": {\n \"domain\": \"<string>\",\n \"primary\": \"<string>\",\n \"email\": \"<string>\",\n \"serial\": 123,\n \"refresh\": 123,\n \"retry\": 123,\n \"expire\": 123\n },\n \"version\": 123\n}"
response = http.request(request)
puts response.read_body{
"body": {
"subject": "<string>",
"account_id": "<string>",
"domain": "<string>",
"soa": {
"domain": "<string>",
"primary": "<string>",
"email": "<string>",
"serial": 123,
"refresh": 123,
"retry": 123,
"expire": 123
},
"version": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}DNS Zones
Update a DNS zone
Updates the zone’s SOA record. version is the version read with the zone.
PATCH
/
gateway
/
dns-zone
/
{zone_id}
Update a DNS zone
curl --request PATCH \
--url https://api.quiva.ai/gateway/dns-zone/{zone_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"soa": {
"domain": "<string>",
"primary": "<string>",
"email": "<string>",
"serial": 123,
"refresh": 123,
"retry": 123,
"expire": 123
},
"version": 123
}
'import requests
url = "https://api.quiva.ai/gateway/dns-zone/{zone_id}"
payload = {
"soa": {
"domain": "<string>",
"primary": "<string>",
"email": "<string>",
"serial": 123,
"refresh": 123,
"retry": 123,
"expire": 123
},
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
soa: {
domain: '<string>',
primary: '<string>',
email: '<string>',
serial: 123,
refresh: 123,
retry: 123,
expire: 123
},
version: 123
})
};
fetch('https://api.quiva.ai/gateway/dns-zone/{zone_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/gateway/dns-zone/{zone_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'soa' => [
'domain' => '<string>',
'primary' => '<string>',
'email' => '<string>',
'serial' => 123,
'refresh' => 123,
'retry' => 123,
'expire' => 123
],
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/gateway/dns-zone/{zone_id}"
payload := strings.NewReader("{\n \"soa\": {\n \"domain\": \"<string>\",\n \"primary\": \"<string>\",\n \"email\": \"<string>\",\n \"serial\": 123,\n \"refresh\": 123,\n \"retry\": 123,\n \"expire\": 123\n },\n \"version\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/gateway/dns-zone/{zone_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"soa\": {\n \"domain\": \"<string>\",\n \"primary\": \"<string>\",\n \"email\": \"<string>\",\n \"serial\": 123,\n \"refresh\": 123,\n \"retry\": 123,\n \"expire\": 123\n },\n \"version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/gateway/dns-zone/{zone_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"soa\": {\n \"domain\": \"<string>\",\n \"primary\": \"<string>\",\n \"email\": \"<string>\",\n \"serial\": 123,\n \"refresh\": 123,\n \"retry\": 123,\n \"expire\": 123\n },\n \"version\": 123\n}"
response = http.request(request)
puts response.read_body{
"body": {
"subject": "<string>",
"account_id": "<string>",
"domain": "<string>",
"soa": {
"domain": "<string>",
"primary": "<string>",
"email": "<string>",
"serial": 123,
"refresh": 123,
"retry": 123,
"expire": 123
},
"version": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth